export declare const createTagSchema: import("zod").ZodObject<Pick<{
    id: import("zod").ZodString;
    name: import("zod").ZodString;
    groupId: import("zod").ZodString;
    type: import("zod").ZodNativeEnum<{
        PROFILE: "PROFILE";
        EVENT: "EVENT";
        PARTICIPANT: "PARTICIPANT";
        NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
    }>;
    created_at: import("zod").ZodDate;
    updated_at: import("zod").ZodDate;
}, "name" | "groupId">, "strip", import("zod").ZodTypeAny, {
    name: string;
    groupId: string;
}, {
    name: string;
    groupId: string;
}>;
declare const CreateTagDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<{
    name: import("zod").ZodString;
    groupId: import("zod").ZodString;
}, import("zod").UnknownKeysParam, import("zod").ZodTypeAny, {
    name: string;
    groupId: string;
}, {
    name: string;
    groupId: string;
}>>;
export declare class CreateTagDto extends CreateTagDto_base {
}
export declare const createTagResponseSchema: import("zod").ZodObject<Omit<{
    id: import("zod").ZodString;
    name: import("zod").ZodString;
    groupId: import("zod").ZodString;
    type: import("zod").ZodNativeEnum<{
        PROFILE: "PROFILE";
        EVENT: "EVENT";
        PARTICIPANT: "PARTICIPANT";
        NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
    }>;
    created_at: import("zod").ZodDate;
    updated_at: import("zod").ZodDate;
}, "created_at" | "updated_at">, "strip", import("zod").ZodTypeAny, {
    id: string;
    name: string;
    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
    groupId: string;
}, {
    id: string;
    name: string;
    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
    groupId: string;
}>;
declare const CreateTagResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<{
    id: import("zod").ZodString;
    name: import("zod").ZodString;
    type: import("zod").ZodNativeEnum<{
        PROFILE: "PROFILE";
        EVENT: "EVENT";
        PARTICIPANT: "PARTICIPANT";
        NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
    }>;
    groupId: import("zod").ZodString;
}, import("zod").UnknownKeysParam, import("zod").ZodTypeAny, {
    id: string;
    name: string;
    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
    groupId: string;
}, {
    id: string;
    name: string;
    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
    groupId: string;
}>>;
export declare class CreateTagResponseDto extends CreateTagResponseDto_base {
}
export {};
